Skip to main content

Get generic credential properties

GET 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/generic-credentials/:extId/properties

Since: 2.73.0

Required permission(s): AccessControl.CredentialView,AccessControl.PropertyView,AccessControl.PropertyValueView,AccessControl.PropertyAllowedValueView or SelfAdmin Role

Returns all properties of the generic credential with the given external ID, as an object of key-value pairs. Properties are additional, customer-specific attributes of an entity.

Supports self-admin mode, where an authenticated user can retrieve properties of their own generic credential.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    extId stringrequired

    External ID of the generic credential.

    Example: cred-123

Responses

Properties retrieved successfully

Schema
    property name* string
Loading...